local T, C, L, _ = unpack(select(2, ...))

local media = 
{
        mainbar                     = C.Media.path .. C.Media.style .. "\\" .. "bar_mainbar",
        leftbar                     = C.Media.path .. C.Media.style .. "\\" .. "bar_leftbar",
        rightbar                    = C.Media.path .. C.Media.style .. "\\" .. "bar_rightbar",
}

local MainMenuBarBG = CreateFrame("Frame", "rABS_MainMenuBarBG", MainMenuBarArtFrame)
MainMenuBarBG:SetFrameStrata("BACKGROUND")
MainMenuBarBG:SetFrameLevel(2)
MainMenuBarBG:SetSize(1024, 128)
MainMenuBarBG:SetPoint("BOTTOM", rABS_MainMenuBar, -3, -50)
MainMenuBarBG:SetScale(.98)

MainMenuBarBG.texture = MainMenuBarBG:CreateTexture(nil, "BACKGROUND")
MainMenuBarBG.texture:SetTexture(media.mainbar)
MainMenuBarBG.texture:SetAllPoints(MainMenuBarBG)

local BarBottomLeftBG = CreateFrame("Frame", "rABS_BarBottomLeftBG", MultiBarBottomLeft)
BarBottomLeftBG:SetFrameStrata("BACKGROUND")
BarBottomLeftBG:SetFrameLevel(3)
BarBottomLeftBG:SetSize(1024, 256)
BarBottomLeftBG:SetPoint("BOTTOM", rABS_MultiBarBottomLeft, 2, -129)
BarBottomLeftBG:SetScale(.98)

BarBottomLeftBG.texture = BarBottomLeftBG:CreateTexture(nil, "OVERLAY")
BarBottomLeftBG.texture:SetTexture(media.leftbar)
BarBottomLeftBG.texture:SetAllPoints(BarBottomLeftBG)

local BarBottomRightBG = CreateFrame("Frame", "rABS_BarBottomRightBG", MultiBarBottomRight)
BarBottomRightBG:SetFrameStrata("BACKGROUND")
BarBottomRightBG:SetFrameLevel(4)
BarBottomRightBG:SetSize(1024, 128)
BarBottomRightBG:SetPoint("BOTTOM", rABS_MultiBarBottomRight, 2, -50)
BarBottomRightBG:SetScale(.98)

BarBottomRightBG.texture = BarBottomRightBG:CreateTexture(nil,"BACKGROUND")
BarBottomRightBG.texture:SetTexture(media.rightbar)
BarBottomRightBG.texture:SetAllPoints(BarBottomRightBG)